net.sf.jasperreports.engine.export.tabulator

## Class DimensionEntries<T extends DimensionEntry>

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.DimensionEntries<T>

-     public class DimensionEntries<T extends DimensionEntry>
      extends java.lang.Object

  Version:
    $Id: DimensionEntries.java 5933 2013-03-01 12:55:58Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionEntries(DimensionControl<T> control)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected T` | `addEndEntry(DimensionRange<T> range)`
    `DimensionRange<T>` | `addEntries(DimensionRange<T> range)`
    `protected T` | `addEntry(int startCoord)`
    `protected T` | `addEntry(int startCoord, int endCoord)`
    `protected T` | `addEntry(int startCoord, int endCoord, T splitEntry)`
    `void` | `addMargins(int extent)`
    `protected T` | `addStartEntry(DimensionRange<T> range)`
    `DimensionControl<T>` | `getControl()`
    `java.util.NavigableSet<T>` | `getEntries()`
    `DimensionRange<T>` | `getRange(int start, int end)`
    `java.util.SortedSet<T>` | `getUserEntries()`
    `protected java.lang.String` | `logId()`
    `void` | `removeEntry(T entry, T prevEntry)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DimensionEntries

          public DimensionEntries(DimensionControl<T> control)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### logId

          protected java.lang.String logId()

    - #### getRange

          public DimensionRange<T> getRange(int start,
                                   int end)

    - #### addEntries

          public DimensionRange<T> addEntries(DimensionRange<T> range)

    - #### addStartEntry

          protected T addStartEntry(DimensionRange<T> range)

    - #### addEndEntry

          protected T addEndEntry(DimensionRange<T> range)

    - #### addEntry

          protected T addEntry(int startCoord)

    - #### addEntry

          protected T addEntry(int startCoord,
                   int endCoord)

    - #### addEntry

          protected T addEntry(int startCoord,
                   int endCoord,
                   T splitEntry)

    - #### addMargins

          public void addMargins(int extent)

    - #### removeEntry

          public void removeEntry(T entry,
                         T prevEntry)

    - #### getEntries

          public java.util.NavigableSet<T> getEntries()

    - #### getUserEntries

          public java.util.SortedSet<T> getUserEntries()

    - #### getControl

          public DimensionControl<T> getControl()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com